=== debian/control ===
Source: ros-kinetic-rosmaster
Section: misc
Priority: optional
Maintainer: Jacob Perron <jacob@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin (>= 0.5.68)
Homepage: http://ros.org/wiki/rosmaster
Standards-Version: 3.9.2

Package: ros-kinetic-rosmaster
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python-defusedxml, ros-kinetic-rosgraph
Description: ROS Master implementation.
